#
# spec file for package websocketpp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           websocketpp
Version:        0.4.0
Release:        5.4
Summary:        C++ WebSocket Protocol Library
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://www.zaphoyd.com/websocketpp
Source0:        https://github.com/zaphoyd/websocketpp/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        websocketpp.pc
BuildRequires:  boost-devel
BuildRequires:  cmake >= 2.6
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildArch:      noarch

%description
WebSocket++ is an open source (BSD license) header only C++ library
that impliments RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%package devel
Summary:        C++ WebSocket Protocol Library
Group:          Development/Libraries/C and C++

%description devel
WebSocket++ is an open source (BSD license) header only C++ library
that impliments RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%prep
%setup -q

%build
%if 0%{?suse_version} >= 1310
%cmake
%else
mkdir build
pushd build
cmake .. \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=ON
%endif
make %{?_smp_mflags}

%install
%if 0%{?suse_version} >= 1310
%cmake_install
%else
pushd build
%make_install
%endif
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pkgconfig/websocketpp.pc

%files devel
%defattr(-,root,root,-)
%doc COPYING changelog.md readme.md roadmap.md
%{_includedir}/websocketpp
%{_libexecdir}/cmake
%{_libexecdir}/cmake/websocketpp
%{_datadir}/pkgconfig/websocketpp.pc

%changelog
* Wed Nov 19 2014 andreas.stieger@gmx.de
- update to 0.4.0
- Breaking API changes:
  + All methods now throw websocketpp::exception
  + Custom logging policies have some new required constructors
- Breaking utility changes:
  + websocketpp::lib::net::htonll and websocketpp::lib::net::ntohll
    have been prefixed with an underscore to avoid conflicts
  + signature changes to base64_encode, sha1::calc
- New Features:
  + Adds incomplete minimal_server and minimal_client configs
- Bug and compatibility fixes
- use cmake macros
- clean spec file
* Mon Oct 27 2014 dev@dominik-schmidt.de
- run format_spec
- update to 0.3.0 final
- use proper group
- fix build on openSUSE 12.3
* Mon Mar 17 2014 prusnak@opensuse.org
- created package (based on a Fedora package by Thomas Sailer)
